Which messaging channels are configured for this ecosystem (owner/admin)
Authenticate every request with Authorization: Bearer <token> — a JWT or API token.
Download OpenAPI JSONOverview
GET
/messaging/ecosystems/{id}/statusmessagingWhich messaging channels are configured for this ecosystem (owner/admin)
Fetch a record from status by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Provider status
- emailboolean
Postmark configured + enabled
- smsboolean
Twilio configured + enabled
Example
{
"email": true,
"sms": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/messaging/ecosystems/{id}/status" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/messaging/ecosystems/{id}/status", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();